import { IBuilder, IMap, UndefinedOrNullOr } from '../../../types';
export declare const s_imploder: (source?: UndefinedOrNullOr<string[]>) => ImploderBuilder;
export declare class ImploderBuilder implements IBuilder<string> {
    private _maxLength?;
    private _offset?;
    private _separator?;
    private _suffix?;
    private _source?;
    static get(source?: UndefinedOrNullOr<string[]>): ImploderBuilder;
    source(source?: UndefinedOrNullOr<string[]>): this;
    mappedSource<T>(source?: UndefinedOrNullOr<T[]>, mapFn?: IMap<T, string>): this;
    maxLength(maxLength?: UndefinedOrNullOr<number>): this;
    offset(offset?: UndefinedOrNullOr<number>): this;
    separator(separator?: UndefinedOrNullOr<string>): this;
    suffix(suffix?: UndefinedOrNullOr<string>): this;
    build(): string;
}
//# sourceMappingURL=imploder.d.ts.map